:host {
    position: absolute;
    top: 0; right: 0; bottom: 0; left: 0;

    &.padding {
        padding: 100px 0 40px 0;
    }

    &.centered {
        display: flex;
        align-items: center;
    }

    &.end {
        display: flex;
        align-items: flex-end;
    }

    &.no-padding {
        padding:  1px;
    }
    
    .container-fluid {
        max-height: 100%;
    }

    &.full-filled {
        height: initial;

        /deep/ {
            .container-fluid {
                height: 100%;
    
                .row {
                    height: 100%;
                }
            }

            .container {
                height: 100%;
            }
        }
    }

    // /deep/ [class*="col-"] {
    //     outline: 1px dashed red;
    // }
}